Skip to main content
GET
/
v1
/
runs
List Runs
curl --request GET \
  --url https://api.cyberdesk.io/v1/runs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cyberdesk.io/v1/runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cyberdesk.io/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "<string>",
      "error": [
        "<string>"
      ],
      "output_data": {},
      "input_attachment_ids": [
        "<string>"
      ],
      "output_attachment_ids": [
        "<string>"
      ],
      "run_message_history": [
        {}
      ],
      "input_values": {},
      "main_prompt": "<string>",
      "model_metadata": {
        "main_agent_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "cache_detection_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fallback_model_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fallback_model_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "pool_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "sensitive_input_aliases": {},
      "usage_metadata": {},
      "post_run_checks": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "post_run_check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "snapshot_version": 123,
          "name": "<string>",
          "description": "<string>",
          "order": 123,
          "file_names": [
            "<string>"
          ],
          "file_name_regex": "<string>",
          "expected_match_count": 123,
          "expected_match_count_ref": "<string>",
          "loop_input": "<string>",
          "loop_item_filename_template": "<string>",
          "allow_missing_attachments": false,
          "check_prompt": "<string>",
          "model": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "started_at": "2023-11-07T05:31:56Z",
          "ended_at": "2023-11-07T05:31:56Z",
          "error_message": "<string>",
          "messages": [
            "<string>"
          ],
          "matched_filenames": [
            "<string>"
          ]
        }
      ],
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "session_alias": "<string>",
      "release_session_after": true,
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "skip": 123,
  "limit": 123,
  "included": [
    {
      "type": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workflow_id
string<uuid> | null

Filter by workflow ID

machine_id
string<uuid> | null

Filter by machine ID

session_id
string<uuid> | null

Filter by session ID

status
enum<string> | null

Filter by run status

Available options:
scheduling,
running,
running_checks,
success,
cancelled,
task_failed,
error
created_at_from
string<date-time> | null

Filter runs created at or after this ISO timestamp (UTC)

created_at_to
string<date-time> | null

Filter runs created at or before this ISO timestamp (UTC)

sort_mode
enum<string>
default:activity

Run sort mode. 'activity' prioritizes running/scheduling and recent completions. 'created_at_desc' returns strict reverse-chronological order.

Available options:
activity,
created_at_desc
search
string | null

Search runs by id, input_values, output_data, error, session_alias (case-insensitive substring match)

If true, also search run_message_history (slower but more comprehensive)

fields
enum<string>[] | null

Optional list of fields to include per run. Always includes: id, workflow_id, machine_id, status, created_at. Provide multiple 'fields=' params to include more.

Selectable run fields for projection in list endpoints.

These are optional fields beyond the essential identifiers that are always returned (id, workflow_id, machine_id, status, created_at).

Available options:
user_id,
organization_id,
error,
output_data,
input_attachment_ids,
output_attachment_ids,
run_message_history,
input_values,
main_prompt,
model_metadata,
pool_ids,
sensitive_input_aliases,
usage_metadata,
session_id,
session_alias,
release_session_after,
started_at,
ended_at,
post_run_checks,
machine_id
include
string | null

Comma-separated list of related resources to include. Allowed values: workflow, machine, machine.pools. Example: include=workflow,machine

skip
integer
default:0
Required range: x >= 0
limit
integer
default:100
Required range: 1 <= x <= 1000

Response

Successful Response

items
RunResponse · object[]
required
total
integer
required
skip
integer
required
limit
integer
required
included
IncludedResource · object[] | null

Related resources requested via the include query parameter